@echo OFF

REM This script uses wkhtmltopdf to generate a PDF of the specification from a single fully contained HTML file.
REM You must supply the name of the HTML to convert and the the name of the PDF to create

if %1.==. goto missingargs
if %2.==. goto missingargs

set headerarg=--header-spacing 6.0 --header-font-size 0 --header-center "Software Package Data Exchange Specification - Version 2.1.1"
set footerarg=--footer-spacing 6.0 --footer-font-size 0 --footer-right [page] --footer-left "Copyright 2010-2019 Linux Foundation and its Contributors. Licensed under CC-BY-3.0. All other rights are expressly reserved."
set marginargs=--margin-top 20mm --margin-bottom 20mm --margin-left 15mm --margin-right 15mm 
			 
@echo ON
"wkhtmltopdf.exe"  --image-dpi 300 --page-size Letter --orientation Portrait  --resolve-relative-links --print-media-type %marginargs% %headerarg% %footerarg%  toc cover cover.html %1 %2 

goto end

:missingargs

echo You must supply the name of the HTML file to convert and the name of the pdf to be created; e.g. pubpdf tmp.html tmp.pdf
goto end

:end
@echo ON

